## com.imcode.imcms.flow
Class DocumentPageFlow

    java.lang.Object
      com.imcode.imcms.flow.PageFlow
          com.imcode.imcms.flow.DocumentPageFlow

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

Direct Known Subclasses:
  CreateDocumentPageFlow, EditDocumentPageFlow, PublishDocumentPageFlow

    public abstract class DocumentPageFlow

extends PageFlow

See Also:
  Serialized Form

Nested Class Summary
`static interface` `DocumentPageFlow.SaveDocumentCommand`

Field Summary
`protected DocumentPageFlow.SaveDocumentCommand` `saveDocumentCommand`

Fields inherited from class com.imcode.imcms.flow.PageFlow
`REQUEST_ATTRIBUTE_OR_PARAMETER__FLOW, REQUEST_PARAMETER__CANCEL_BUTTON, REQUEST_PARAMETER__OK_BUTTON, REQUEST_PARAMETER__PAGE, returnCommand`

Constructor Summary
`protected` `DocumentPageFlow(DispatchCommand returnCommand, DocumentPageFlow.SaveDocumentCommand saveDocumentCommand)`

Method Summary
`static DocumentPageFlow` `fromRequest(javax.servlet.http.HttpServletRequest request)`
`abstract DocumentDomainObject` `getDocument()`
`protected void` `saveDocument(javax.servlet.http.HttpServletRequest request)`
`protected void` `saveDocumentAndReturn(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class com.imcode.imcms.flow.PageFlow
`dispatch, dispatchFromPage, dispatchOk, dispatchReturn, dispatchToFirstPage, getSessionAttributeName, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### saveDocumentCommand

    protected final DocumentPageFlow.SaveDocumentCommand saveDocumentCommand

Constructor Detail

### DocumentPageFlow

    protected DocumentPageFlow(DispatchCommand returnCommand,
                               DocumentPageFlow.SaveDocumentCommand saveDocumentCommand)

Method Detail

### getDocument

    public abstract DocumentDomainObject getDocument()

### saveDocument

    protected void saveDocument(javax.servlet.http.HttpServletRequest request)

### saveDocumentAndReturn

    protected void saveDocumentAndReturn(javax.servlet.http.HttpServletRequest request,
                                         javax.servlet.http.HttpServletResponse response)
                                  throws java.io.IOException,
                                         javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### fromRequest

    public static DocumentPageFlow fromRequest(javax.servlet.http.HttpServletRequest request)